/*
 * BankAccount class demonstrating class, fields, and methods
 *
 * */

using System;
using System.Collections.Generic;
using System.Text;

namespace Banking
{
    class BankAccount
    {
        private string owner;
        private double balance;
        private static int numAccounts = 0;

        public BankAccount(string name, double init)
        {
            owner = name;
            balance = init;
            numAccounts++;
        }

        public BankAccount(string name)
        {
            owner = name;
            balance = 0.00;
            numAccounts++;
        }

        public BankAccount(double init)
        {
            owner = "";
            balance = init;
            numAccounts++;
        }

        public void Deposit(double amount)
        {
            balance += amount;
        }

        public void Withdraw(double amount)
        {
            balance -= amount;
        }

        public double GetBalance()
        {
            return balance;
        }

        public static int AccountCount()
        {
            return numAccounts;
        }

    }
}
